/**传入数组枚举数组和key数组 找到在枚举数组中的description值
 * @param {Array} enumArr 枚举数组
 * @param {Array} arr 要查找的数组
 * */ 
export function getDescriptions(enumArr: any[], arr: any[]) {
    // 创建一个字典来存储 value 和 description 的映射
    const valueToDescription = enumArr.reduce((acc, item) => {
        acc[item.value] = item.description;
        return acc;
    }, {});
    // 使用 arr2 中的 value 查找对应的 description
    return arr.map(value => valueToDescription[value]);
}